import { AxiosInstance } from 'axios';
/**
 *
 * @param corPID 公司的id
 * @param corSecret 你的应用的id
 * @param agentid 你的应用的id
 */
export declare class WechatWorkBase {
    corPID: string;
    corSecret: string;
    accessToken: string;
    accessTokenExpireAt: number;
    agentid: number;
    accessTokenURL: string;
    messageSendURL: string;
    private isUpdating;
    axios: AxiosInstance;
    constructor(corPID: string, corSecret: string, agentid: number);
    /**
     * 获取token并且会存储缓存
     */
    GetAccessToken(): Promise<string>;
}
